import { ResponsesObject } from 'openapi3-ts';
import { ErrorObject } from 'ajv/dist/core';
import { OperationExecutionResponse } from 'executable-openapi-types';
export declare class InvalidRequestBodyError extends Error {
    errors: ErrorObject[] | string;
    constructor(errors: ErrorObject[] | string);
}
export declare function formatInvalidRequestBodyResponse(error: InvalidRequestBodyError, _responseObject: ResponsesObject): OperationExecutionResponse;
