"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatInvalidRequestBodyResponse = exports.InvalidRequestBodyError = void 0;
// WIP https://git.io/Jymr8
class InvalidRequestBodyError extends Error /* HTTError */ {
    constructor(errors) {
        super('Request body is not valid');
        this.errors = errors;
    }
}
exports.InvalidRequestBodyError = InvalidRequestBodyError;
function formatInvalidRequestBodyResponse(error, _responseObject) {
    const message = typeof error.errors === 'string' ? error.errors : error.errors.map((e) => { var _a; return `${e.instancePath} ${(_a = e.message) !== null && _a !== void 0 ? _a : 'not ok'}`; }).join(' and ');
    return {
        status: 400,
        content: {
            'application/json': {
                type: 'invalid-requestBody',
                message
            }
        }
    };
}
exports.formatInvalidRequestBodyResponse = formatInvalidRequestBodyResponse;
//# sourceMappingURL=errors.js.map